package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.EmailsRepository;
import com.realnet.vpspack.Entity.Emails
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class EmailsService {
@Autowired
private EmailsRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Emails Savedata(Emails data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Emails save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Emails> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Emails> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Emails> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Emails getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Emails update(Emails data,Integer id) {
	Emails old = Repository.findById(id).get();
old.setCode(data.getCode());

old.setSubject(data.getSubject());

final Emails test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
